propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Types.Docker

# Documentation

data DockerInfo Source #

Constructors

DockerInfo |

Fields

- _dockerRunParams :: [DockerRunParam]
- _dockerContainers :: Map String Host

Instances

Show DockerInfo Source # |
Methods showsPrec :: Int -> DockerInfo -> ShowS show :: DockerInfo -> String showList :: [DockerInfo] -> ShowS
Monoid DockerInfo Source # |
Methods mempty :: DockerInfo mappend :: DockerInfo -> DockerInfo -> DockerInfo mconcat :: [DockerInfo] -> DockerInfo
IsInfo DockerInfo Source # |
Methods propagateInfo :: DockerInfo -> PropagateInfo Source #
Empty DockerInfo Source # |
Methods isEmpty :: DockerInfo -> Bool Source #

newtype DockerRunParam Source #

Constructors

DockerRunParam (HostName -> String) |

Instances

Show DockerRunParam Source # |
Methods showsPrec :: Int -> DockerRunParam -> ShowS show :: DockerRunParam -> String showList :: [DockerRunParam] -> ShowS